glab(1)

NAME
glab-work-items-create - Create work items in a project or group. (EXPERIMENTAL)

SYNOPSIS
glab work-items create [flags]

DESCRIPTION
Use --type to specify the kind of work item to create. The command uses your repository context to detect scope automatically.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-c, --confidential[=false]
    Mark work item confidential.

-d, --description=""
    Description of the work item. Set to "-" to open an editor.

-g, --group=""
    Create work items for a group or subgroup.

--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

-t, --title=""
    Add a title for the work item.

-T, --type=""
    Type of work item (epic, incident, issue, key_result, objective, requirement, task, test_case, ticket).

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Create a work item in the current project
    glab work-items create --type issue
    # Create a work item in a group
    glab work-items create --type epic --group my-group

SEE ALSO
glab-work-items(1)